Metafunction
PexMultiFinder
Determines the multiple exact string matching algorithm used by the Pex algorithm.
PexMultiFinder< Pattern<TNeedle,Pex<TVerification,TMultiFinder> > >::Type
Include Headers
seqan/find.h
Parameters

TMultiFinder | The specification for the multiple exact string matching algorithm that should be used with the Pex algorithm.

Remarks
For a description of Pattern usage see Pattern.
Overload this Metafunction if you want to use something else for verification then Pattern<String<Segment<TNeedle> > , TMultiFinder>.
Return Values

Type | Pattern type of the multiple exact string matching algorithm for the specified Pattern.

See Also
Pex
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50